Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Class MatchOptions

    java.lang.Object
      com.sun.mdm.index.matching.MatchOptions

All Implemented Interfaces:
  java.io.Serializable

public class MatchOptions
extends java.lang.Object
implements java.io.Serializable

The options to control the matching and results for the findWeights methods

See Also:
  Serialized Form

Constructor Summary
`MatchOptions()` Creates new MatchOptions
`MatchOptions(boolean sortWeightResults, double minimumWeight)` Creates new MatchOptions

Method Summary
`double` | `getMinimumWeight()` The minimum Weight a result has to have so it gets returned.
`boolean` | `getSortWeightResults()` Whether to return the result weights in sorted order, from highest to lowest
`void` | `setMinimumWeight(double weight)` The minimum Weight a result has to have so it gets returned.
`void` | `setSortWeightResults(boolean sort)` Whether to return the result weights in sorted order, from highest to lowest

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchOptions

    public MatchOptions()

  Creates new MatchOptions

### MatchOptions

    public MatchOptions(boolean sortWeightResults,
                        double minimumWeight)

  Creates new MatchOptions

  Parameters:
    `sortWeightResults` - whether to sort the match results by weight
    `minimumWeight` - the minimum weight for which to return results

Method Detail

### getMinimumWeight

    public double getMinimumWeight()

  The minimum Weight a result has to have so it gets returned.

  Returns:
    the minimum weight

### getSortWeightResults

    public boolean getSortWeightResults()

  Whether to return the result weights in sorted order, from highest to lowest

  Returns:
    true if they results should be sorted

### setMinimumWeight

    public void setMinimumWeight(double weight)

  The minimum Weight a result has to have so it gets returned.

  Parameters:
    `weight` - set the minimum weight

### setSortWeightResults

    public void setSortWeightResults(boolean sort)

  Whether to return the result weights in sorted order, from highest to lowest

  Parameters:
    `sort` - set to true if they results should be sorted

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.